<div class="page-header">
    <h1 class="page-heading">Delete network</h1>
</div>

<div ng-if="data.waitingPromise">
    <h3><img src="/public/img/loading-pulse.svg" /> Loading...</h3>
</div>

<div id="gnb" class="gf-form-group" ng-if="!data.waitingPromise">
    <div ng-class="{modal: true, fade: true, show: data.modalTrigger}" ng-if="data.networkSelected">
        <div class="modal-backdrop"></div>
        <div class="modal-dialog">
            <div class="modal-header">
                <h2 class="modal-header-title">Delete</h2>
                <a class="modal-header-close" ng-click="close()">
                    <i class="fa fa-remove"></i>
                </a>
            </div>
            <div class="modal-content help-modal">
                <h4 ng-bind-html="data.textMessageHTML"></h4>
            </div>
            <div class="modal-footer">
                <button class="btn btn-success" ng-click="close(); delete()">Yes</button>
                <button class="btn btn-danger" ng-click="close()">No</button>
            </div>
        </div>
    </div>
    <div class="gf-form-inline">
        <div class="gf-form">
            <label class="gf-form-label min-width-8" for="networks">Network</label>
            <select name="networks" id="networks" ng-options="network as network.name for network in data.networkList"
                    ng-model="data.networkToFind" ng-change="setNetworkSelected()">
                <option value="" disabled selected hidden>Choose network</option>
            </select>
        </div>
    </div>

    <div class="gf-form-inline" ng-if="data.networkSelected">
        <div class="gf-form">
            <label class="gf-form-label min-width-8" for="drop_data">Drop all data
                <info-popover mode="right-normal" position="top center" class="gf-form-help-icon">
                    By ticking this checkbox the table <b>{{data.networkSelected.name}}[{{data.networkSelected.id}}]</b> and all related data contained in database <b>{{data.networkSelected.databaseWriteName}}</b> will be dropped upon deletion.
                </info-popover>
            </label>
            <div class="gf-form-switch width-5">
                <input id="drop_data" type="checkbox" ng-model="data.checked" ng-change="">
                <label for="drop_data" data-on="Yes" data-off="No"></label>
            </div>
        </div>
    </div>
    <div class="gf-form-button-row">
        <div class="gf-form">
            <button class="btn btn-success" ng-click="open()">Delete</button>
        </div>
    </div>
</div>
